# PetscTokenFind

Locates next "token" in a string

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscTokenFind(PetscToken *a,char *result[])

Not Collective

### Input Parameters

a -pointer to token

### Output Parameter

result -location of occurance, PETSC_NULL if not found

### Notes

This version is different from the system version in that it allows you to pass a read-only string into the function.

### See Also

PetscTokenCreate(), PetscTokenDestroy()

Level:intermediate
Location: src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages